今天折腾了一下Android studio,好不容易搞完了,结果在运行adb命令的时候出错了

wKioL1nB0JXSai0IAABm2o2_EEA906.png


不要着急,我们先看下这个错误是怎么出现的。

1、搞完Android studio之后也升级使用了新的sdk,并配置了环境变量

2、启动了第三方模拟器

3、之后用adb devices命令就出现了上图的错误


从报错的原因来看应该是版本不一致导致的,大概的意思是说你现在的adb版本是31,但是你client端的却是36(这里的client端我猜就是第三方的模拟器)不匹配啊。


尝试解决下,既然版本不一致,那就统一下版本不就好吗,adb就是一个exe程序,可以随意copy的,所以我就把sdk>platform-tools>adb.exe拷贝到了第三方模拟器中去覆盖ta的adb.exe,这样就保持了版本的一致了。


之后重启模拟器(这里挺奇怪,重启模拟器后还是有问题,我就重启了下电脑,之后你懂的,居然好了,唉,算你狠!)